How do I setup the library JSF facet uses? IDEA does not recognize managed beans in xhtml files

Hi,

I am using IDEA ultimate 10.5. It was able to recognize the managed beans in the xhtml files. Now it can not. My managed beans have ManagedBean annotation. I believe the reason is that I undated the JSF library. I am now using Mojarra 2.1.3.   I do have a JSF facet set up but I can not specify the library it uses. The options available for Mojarra are 1.2 and 2.0.1-FCS. If I pick 2.0.1, it would not stick -- it shows nothing selected next time I open the facet.  The document online (http://www.jetbrains.com/idea/webhelp/jsf-facet.html) indicates that I can setup my own library. How do I do so and make it available for JSF facet? Thank you for your help.

Thanks,
Jin

Please sign in to leave a comment.